weka.core.pmml.jaxbbindings

## Enum ACTIVATIONFUNCTION

- java.lang.Object
- - java.lang.Enum<ACTIVATIONFUNCTION>
  - - weka.core.pmml.jaxbbindings.ACTIVATIONFUNCTION

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ACTIVATIONFUNCTION>

      public enum ACTIVATIONFUNCTION
      extends java.lang.Enum<ACTIVATIONFUNCTION>

  Java class for ACTIVATION-FUNCTION.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="ACTIVATION-FUNCTION">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="threshold"/>
           <enumeration value="logistic"/>
           <enumeration value="tanh"/>
           <enumeration value="identity"/>
           <enumeration value="exponential"/>
           <enumeration value="reciprocal"/>
           <enumeration value="square"/>
           <enumeration value="Gauss"/>
           <enumeration value="sine"/>
           <enumeration value="cosine"/>
           <enumeration value="Elliott"/>
           <enumeration value="arctan"/>
           <enumeration value="radialBasis"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARCTAN`
    `COSINE`
    `ELLIOTT`
    `EXPONENTIAL`
    `GAUSS`
    `IDENTITY`
    `LOGISTIC`
    `RADIAL_BASIS`
    `RECIPROCAL`
    `SINE`
    `SQUARE`
    `TANH`
    `THRESHOLD`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ACTIVATIONFUNCTION` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static ACTIVATIONFUNCTION` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ACTIVATIONFUNCTION[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARCTAN

          public static final ACTIVATIONFUNCTION ARCTAN

    - #### COSINE

          public static final ACTIVATIONFUNCTION COSINE

    - #### ELLIOTT

          public static final ACTIVATIONFUNCTION ELLIOTT

    - #### EXPONENTIAL

          public static final ACTIVATIONFUNCTION EXPONENTIAL

    - #### GAUSS

          public static final ACTIVATIONFUNCTION GAUSS

    - #### IDENTITY

          public static final ACTIVATIONFUNCTION IDENTITY

    - #### LOGISTIC

          public static final ACTIVATIONFUNCTION LOGISTIC

    - #### RADIAL_BASIS

          public static final ACTIVATIONFUNCTION RADIAL_BASIS

    - #### RECIPROCAL

          public static final ACTIVATIONFUNCTION RECIPROCAL

    - #### SINE

          public static final ACTIVATIONFUNCTION SINE

    - #### SQUARE

          public static final ACTIVATIONFUNCTION SQUARE

    - #### TANH

          public static final ACTIVATIONFUNCTION TANH

    - #### THRESHOLD

          public static final ACTIVATIONFUNCTION THRESHOLD

  - ### Method Detail

    - #### values

          public static ACTIVATIONFUNCTION[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ACTIVATIONFUNCTION c : ACTIVATIONFUNCTION.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ACTIVATIONFUNCTION valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static ACTIVATIONFUNCTION fromValue(java.lang.String v)